%{?nodejs_find_provides_and_requires}

%global packagename csv-parse
%global enable_tests 1

Name:		nodejs-csv-parse
Version:	1.2.3
Release:	3%{?dist}
Summary:	CSV parsing implementing the Node.js 'stream.Transform' API

License:	BSD
URL:		http://www.github.com/wdavidw/node-csv-parse
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	src-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	coffee-script
BuildRequires:	mocha
BuildRequires:	npm(csv-generate)
BuildRequires:	npm(csv-spectrum)
BuildRequires:	npm(each)
BuildRequires:	npm(should)
%endif

%description
CSV parsing implementing the Node.js 'stream.Transform' API.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package

# remove pre-compiled scripts
rm lib/*.js

%build
%{_bindir}/coffee -c -b -o lib/ src/*.coffee.md

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test /usr/bin/mocha --compilers coffee:coffee-script/register -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Sep 24 2017 Jared Smith <jsmith@fedoraproject.org> - 1.2.3-1
- Update to upstream 1.2.3 release

* Sat Nov  7 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
